server:
    port: 6666
spring:
    application:
        name: jd
    profiles:
        active: dev
    #数据源配置
    datasource:
        driver-class-name: com.mysql.cj.jdbc.Driver
        url: jdbc:mysql://134.175.126.60:33306/jd?characterEncoding=utf-8&useSSL=true&serverTimezone=GMT%2B8
        username: root
        password: mysql_7sjTXH
        hikari:
            maximum-pool-size: 2000  # 最大连接数
            minimum-idle: 48        # 最小空闲连接数
            idle-timeout: 30000    # 空闲连接超时时间（毫秒）
            max-lifetime: 2000000  # 最大生命周期（毫秒）
            connection-timeout: 30000  # 连接超时时间（毫秒）
            pool-name: SpringBootHikariCP  # 连接池名字
    #redis配置
    redis:
        host: 134.175.126.60
        port: 36379
        database: 7
        timeout: 1800000
        lettuce:
            pool:
                max-active: 200
                #最大阻塞等待时间(负数表示没限制)
                max-wait: -1
                max-idle: 5
                min-idle: 0
        password: redis_6PZ52S  # 文件上传
    servlet:
        multipart:
            # 单个文件大小
            max-file-size: 20MB
            # 设置总上传的文件大小
            max-request-size: 20MB
    #MyWebMvcConfig中开启@EnableWebMvc则失效
    jackson:
        date-format: yyyy-MM-dd HH:mm:ss
        time-zone: GMT+8
    #    # 对象字段为null不显示
    #    default-property-inclusion: non_null

    # 资源信息
    messages:
        # 国际化资源文件路径
        basename: i18n/messages

# token配置
token:
    # 令牌自定义标识
    header: Authorization
    # 令牌密钥
    secret: 5c6649a39f184678af3580795a7307d9
    # 令牌有效期（单位分钟）
    expireTime: 1440

# 用户配置
user:
    password:
        # 密码最大错误次数
        maxRetryCount: 5
        # 密码锁定时间（默认10分钟）
        lockTime: 10

# 日志配置
logging:
    level:
        cn.van333: debug
        org.springframework: warn
